Bug 1018539 - After basic graphics install - system won't boot
After basic graphics install - system won't boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
19
i386 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 23:26 EDT by John A. Ward
Modified: 2015-02-17 12:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:39:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -xb output (102.71 KB, text/x-vhdl)
2013-10-14 18:41 EDT, John A. Ward
no flags Details

  None (edit)
Description John A. Ward 2013-10-12 23:26:02 EDT
Description of problem:Regular install won't work, black screen. Install basic graphics runs fine, on reboot blue band goes across bottom of screen,screen then blanks and system freezes, won't respond to any keys or <f2>. If systemd.unit=rescue is entered, can get command prompt, but can't run startx. 


Version-Release number of selected component (if applicable):19


How reproducible:Every Time


Steps to Reproduce:
1.
2.
3.

Actual results:system hangs on reboot


Expected results:system goes into operation


Additional info:I  have done an lspci and get VGA Compatible Via K8M800, K8N800, K8n80 since I have seen nvida errors with similar description but UniChrome is supposed to be supported
Comment 1 Fedora Admin XMLRPC Client 2013-10-14 05:18:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Vratislav Podzimek 2013-10-14 06:39:39 EDT
Could you please attach output of the 'journalctl' command from the system that failed to boot?
Comment 3 John A. Ward 2013-10-14 14:55:38 EDT
(In reply to Vratislav Podzimek from comment #2)
> Could you please attach output of the 'journalctl' command from the system
> that failed to boot?

How, the system won't boot! 
I can get to a type of command prompt by putting 'systemd.unit=rescue' into the linux boot line, after selecting the rescue boot line on the startup menu.  I also tried xdriver=vesa in the regular boot line (e to edit type in addition then do <f10>.

The system asks for password, I put it  in, get lines about ALSA problem, which is fine and then have prompt about doing journalctl -xb, do that and get appx.1,500 lines of startup info.  But since I don't have a working system it doesn't recognize a CD/DVD, so I can't write anything. I will install a flash drive and get back to you.

Thank You,
John
Comment 4 John A. Ward 2013-10-14 18:41:51 EDT
Created attachment 812245 [details]
journalctl -xb output

I manually mount the usb, and have included the output with this message.

John
Comment 5 John A. Ward 2013-10-14 22:00:26 EDT
Comment on attachment 812245 [details]
journalctl -xb output

Sorry for the typos.
I successfully mounted the USB flash drive,  and was able to copy the file requested.

John
Comment 6 Vratislav Podzimek 2013-10-15 05:02:04 EDT
There is no error in the journal and the system seems to boot properly. I'll leave it to the X server/drivers developer, but I think you'd need to attach the X.log file from the failed boot (maybe try to boot with '3' as a boot option and then try to run X server manually).
Comment 7 John A. Ward 2013-10-15 15:16:48 EDT
I attempted to include the Xorg.log and Xorg....old files after attempting to do a startx, the startx froze the system and after re-booting, getting into start in rescu mode, 'e' into linux line and add systemd.unit=rescue and getting the command line, took the Xlog files off, both are at 0 bytes?


John
Comment 8 John A. Ward 2013-10-15 23:17:21 EDT
I was looking through the notes and noticed that I hadn't specified the Desktop, which is KDE, if the Fedora live system comes up in Gnome from the basic display option, it works fine with a 1024x768 resolution. So the problem is with the KDE side of the world.


John
Comment 9 Xavier Bachelot 2013-10-21 03:44:33 EDT
Can you try to disable hardware acceleration ? You need to use the following line in your xorg.conf :
Option "NoAccel"

Also, is this a 32 bits or 64 bits install ?
Comment 10 John A. Ward 2013-10-21 11:18:27 EDT
Very sorry, 32 bit KDE. From the Fedora website, burnt to DVD iso and installed.


I will try the change in the xforg.conf and let you knos.

Thank You
John
Comment 11 John A. Ward 2013-10-21 23:48:36 EDT
There is NO xorg.conf  file in /etc/X11

So nothing to change, I remember in reading about this problem, that KDE and Fedora 19 don't have a xorg.conf file.

John
Comment 12 Xavier Bachelot 2013-10-22 03:47:16 EDT
Yes, the default is not to have an Xorg.conf as auto configuration is expected to work in most cases. However, in this case, we want to override the configuration so you need to create /etc/X11/xorg.conf (or /etc/X11/xorg.conf.d/openchrome.conf) with the following lines in it :
Section "Device"
        Identifier  "Videocard0"
        Driver      "openchrome"
        Option      "NoAccel"
EndSection
Comment 13 John A. Ward 2013-10-22 23:01:56 EDT
I entered the information into a openchrome.conf file and copied the file to to /etc/X11/xorg.conf.d/openchrome.conf file on the system.

When I rebooted normally the system went through the same process, put the blue and white banner at the bottom, then cleared the screen, turned the screen, then looked like it turned the screen back on (I can't verify that but the screen is black). Just like before.  I left the system for a few minutes, just to see if it would come on, nothing.

John
Comment 14 Fedora End Of Life 2015-01-09 15:13:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 12:39:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.